---
document: modulemd
version: 2
data:
  name: rust-toolset
  stream: "rhel8"
  version: 8060020220930131425
  context: b09eea91
  arch: i686
  summary: Rust
  description: >-
    Rust Toolset
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      llvm-toolset: [rhel8]
      platform: [el8]
      rust-toolset: [rhel8]
    requires:
      llvm-toolset: [rhel8]
      platform: [el8]
  profiles:
    common:
      rpms:
      - rust-toolset
  api:
    rpms:
    - cargo
    - cargo-doc
    - clippy
    - rls
    - rust
    - rust-analysis
    - rust-doc
    - rust-gdb
    - rust-lldb
    - rust-src
    - rust-std-static
    - rust-toolset
    - rustfmt
  components:
    rpms:
      rust:
        rationale: Rust compiler and tools
        ref: 866f6d2d99df26380dd23bbda56a06fe6a8f73cd
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - cargo-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - cargo-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - cargo-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - cargo-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - cargo-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - cargo-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - cargo-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - cargo-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - cargo-debuginfo-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - cargo-debuginfo-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - cargo-doc-0:1.58.1-1.module_el8.6.0+2748+176088b3.noarch
    - cargo-doc-0:1.58.1-1.module_el8.6.0+3244+f7080d89.noarch
    - cargo-doc-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.noarch
    - clippy-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - clippy-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - clippy-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - clippy-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - clippy-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - clippy-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - clippy-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - clippy-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - clippy-debuginfo-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - clippy-debuginfo-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rls-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rls-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rls-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rls-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rls-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rls-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rls-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rls-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rls-debuginfo-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rls-debuginfo-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rust-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rust-0:1.58.1-1.module_el8.6.0+2748+176088b3.src
    - rust-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rust-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rust-0:1.58.1-1.module_el8.6.0+3244+f7080d89.src
    - rust-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.src
    - rust-analysis-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rust-analysis-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rust-analysis-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rust-analysis-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rust-analysis-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-debugger-common-0:1.58.1-1.module_el8.6.0+2748+176088b3.noarch
    - rust-debugger-common-0:1.58.1-1.module_el8.6.0+3244+f7080d89.noarch
    - rust-debugger-common-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.noarch
    - rust-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rust-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rust-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rust-debuginfo-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rust-debuginfo-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-debugsource-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rust-debugsource-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rust-debugsource-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rust-debugsource-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rust-debugsource-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-doc-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rust-doc-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rust-doc-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rust-doc-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rust-doc-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-gdb-0:1.58.1-1.module_el8.6.0+2748+176088b3.noarch
    - rust-gdb-0:1.58.1-1.module_el8.6.0+3244+f7080d89.noarch
    - rust-gdb-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.noarch
    - rust-lldb-0:1.58.1-1.module_el8.6.0+2748+176088b3.noarch
    - rust-lldb-0:1.58.1-1.module_el8.6.0+3244+f7080d89.noarch
    - rust-lldb-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.noarch
    - rust-src-0:1.58.1-1.module_el8.6.0+2748+176088b3.noarch
    - rust-src-0:1.58.1-1.module_el8.6.0+3244+f7080d89.noarch
    - rust-src-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.noarch
    - rust-std-static-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rust-std-static-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rust-std-static-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rust-std-static-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rust-std-static-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-std-static-wasm32-unknown-unknown-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rust-std-static-wasm32-unknown-unknown-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rust-std-static-wasm32-unknown-unknown-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rust-std-static-wasm32-unknown-unknown-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-std-static-wasm32-wasi-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rust-std-static-wasm32-wasi-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rust-std-static-wasm32-wasi-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rust-std-static-wasm32-wasi-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rust-toolset-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rustfmt-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rustfmt-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rustfmt-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rustfmt-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rustfmt-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
    - rustfmt-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.aarch64
    - rustfmt-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.ppc64le
    - rustfmt-debuginfo-0:1.58.1-1.module_el8.6.0+2748+176088b3.x86_64
    - rustfmt-debuginfo-0:1.58.1-1.module_el8.6.0+3244+f7080d89.s390x
    - rustfmt-debuginfo-0:1.62.1-1.module_el8.6.0+3272+eeecc3d2.i686
...
---
document: modulemd
version: 2
data:
  name: rust-toolset-devel
  stream: "rhel8"
  version: 8060020220930131425
  context: b09eea91
  arch: i686
  summary: Rust
  description: >-
    Rust Toolset
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      llvm-toolset: [rhel8]
      platform: [el8]
      rust-toolset: [rhel8]
    requires:
      llvm-toolset: [rhel8]
      platform: [el8]
  profiles:
    common:
      rpms:
      - rust-toolset
  api:
    rpms:
    - cargo
    - cargo-doc
    - clippy
    - rls
    - rust
    - rust-analysis
    - rust-doc
    - rust-gdb
    - rust-lldb
    - rust-src
    - rust-std-static
    - rust-toolset
    - rustfmt
  components:
    rpms:
      rust:
        rationale: Rust compiler and tools
        ref: 866f6d2d99df26380dd23bbda56a06fe6a8f73cd
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
